Welcome

Welcome to Karen's Directory Printer!

This Power Tool can print the names of every file in a folder or drive. It can also print a file or sub-folder's size, date of creation, date of last modification, date of last access, attributes (read-only, system, hidden, compressed, etc.) and more !

Additional options allow the information to be saved to a disk file instead of printed. Once stored on disk, the folder and file information can be e-mailed, imported into a spreadsheet or other program, or saved for future analysis and comparison.

Several issues of Karen's Power Tools newsletter discuss the Directory Printer program. Links to those back issues can be found on Karen's Directory Printer's home page .

You can also get your own free subscription to the newsletter by visiting her subscription web page ..

Want all of Karen's Power Tools, every issue of her newsletter, a license to use your Power Tools at work, and more, on a shiny CD? Visit her CD web page .

Karen's Directory Printer, and all associated documentation, are

Copyright © 1997-2007 Karen Kenworthy, All Rights Reserved.

"Karen's Directory Printer" and "Karen's Power Tools" are trademarks of Karen Kenworthy.


"Print" tab

To print a directory's (folder's) information, click the "Print" tab shown on the Directory Printer's main window. You can then choose which folders and file's information will be printed, and other options. For more information, click on the image shown below:


"Save to Disk" tab

To save a directory's information to a disk file, click the "Save" tab shown on the Directory Printer's main window. You can then choose which folders and file's information will be saved, and other options.

For more information, click on the image shown below:


"Other Settings" tab

To adjust the Directory Printer's other settings, click the "Other Settings" tab shown on the program's main window.

For more information, click on items in the window shown below:


Printer Settings

This window lets you select the printer where your document will be printed, the number of copies that will be printed, and more. For details, click on the window shown below:


File Filters

File Filters let you to control which files the Directory Printer will examine. Information about those files that "pass through" or match the filter will be printed or saved. Information about all other files will be skipped or ignored.

For example, if you select the "Common Image Files" filter when printing Directory information, only files that normally store pictures or other images will appear on your report. Select the "Common Sound Files" filter when saving Directory information to disk, and only files that normally contain music or sound will have their information saved.

Besides the standard pre-defined File Filters, you can also create your own custom File Filters. Your File Filters work exactly like those that are pre-defined, allowing you to print or save directory information about any group of files you like.

To create a new File Filter, or edit an existing one, just click the Edit File Filters button appearing on the Print and Save to Disk tabs of the Directory Printer's main window. Either button will cause the Edit File Filter's window to appear.


License

This program may be used on your home computer, for personal and educational purposes, free of charge.

However, commercial use (any use at a business or on your job) requires an inexpensive license. To obtain a license to use all of Karen's Power Tools , visit http://www.karenware.com/cd.asp .

To purchase multiple licenses for the same location or business visit Karen's Site License web page .

Note: The source code may be freely used and modified for personal and educational use. But incorporating all, or a substantial part, of the code into a commercial product, that is redistributed or sold, is prohibited without permission of the author.


Glossary

Karen's Glossary

Click on a word or phrase below to see its definition:

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

Algorithm

Argument

Attributes

B

Bias

Bit

Browser

Byte

C

Chip

Client

Clipboard

Context Menu

Cookie

CPU

D

Data File

Date Created

Date Last Accessed

Date Last Modified

Daylight Saving Time

Desktop

Disc

Disk

Disk Drive

Disk Space Used

DNS

Domain Name System

Drag and Drop

E

Euler's Number

Executable File

Extension

F

File

File Filter

File Name

File Size

File Transfer Protocol

Folder

Folder Name

FTP

Full Name

G

Gigabyte

GMT

Greenwich Mean Time

H

Hash

Hexadecimal

Hidden Files and Folders

I

Icon

International Date Line

Internet

IP Address

Irrational Numbers

L

LAN

Latitude

Local Area Network

Local Time

Longitude

M

Macro

MD5

Megabyte

Meridian

N

Napier's Constant

Network

Network Share

Network Time Protocol

NTP

O

Offset

P

Parameter

Parent Folder

Parallel

Pi

Prime Meridian

Program

Q

Quick Launch area

R

RAM

Random Access Memory

Read-Only Files and Folders

S

Server

SHA-1

SHA-224

SHA-256

SHA-384

SHA-512

Share

Short Name

Shortcut

Simple Network Time Protocol

SNTP

Standard Time

Start button

Start menu

Startup folder

System Files and Folders

System Tray

T

Taskbar

Terabyte

Time Server

Time Zone

U

Universal Coordinated Time

UTC

W

WAN

Web Browser

Web Server

Web Site

Wide Area Network

Wildcard


Karen's Power Tools

Karen's Power Tools is a large collection of utilities, programs that solve problems, and make computers easier to use and understand. It includes programs that can print the contents of a folder or disk drive, display and delete "web browser cookies", automatically make backup copies of important files, reveal hundreds of facts about your computer, and many more!

For more information, visit Karen's Power Tools web site .


Help button

Click here to display this help file (But you already knew that). :)


About button

Click this button to see more information about this program, including its version number .


Exit button

Click here to exit this program.


StatusBar

Status

Here the program displays various messages. They might indicate an error or invalid selection. Other messages will simply let you know when the program is busy, and what it's doing. Some messages are "tips" suggesting what you might do next, or explaining simple tasks.


Cancel button

Clicking this button closes the current window, and discards any changes.


OK button

Click here to save your selections, and close this window.


Printer

This drop-down list contains all the printers shown in your computer's Printers and Faxes folder. Select one, and that printer will be used when this program prints.


Paper Size

Here you can select the size of the paper you'll be using. Be sure your selection here matches the paper actually loaded in your printer.


Paper Bin

Tell the program which printer bin contains the paper you want to use. The program will pass along this preference to the printer when a document is printed.


Change Font

Change font button

Click this button to select the Font typeface, size, color and effects used when printing.


Print Quality

Many printers offer more than one level of print quality. Often, low-resolution/low-quality printing uses less ink, and prints more quickly.

Higher-resolution/higher-quality printing requires more ink, prints more slowly, but may look substantially clearer or darker.

Note: Not all printers support this option. Your printer should safely ignore this setting if it's not supported.


Orientation

Most printers can rotate reports 90 degrees. This can permit wider printed lines, at the expense of fewer lines per page. Here are the two choices:

  • Portrait - The page is taller than it is wide. For example, a U.S. Letter-sized page will be oriented so that it is 8.5 inches wide, and 11 inches tall.

  • Landscape - The page is wider than it is tall. For example, a U.S. Letter-sized page will be oriented so that it is 11 inches wide, and 8.5 inches tall.


Copies

Want more than one copy of the report or document? Just enter the desired number here. The program will automatically print the requested number of copies.


"Print" button

Click this button to save your printer settings, and print the selected information.


"Welcome" tab

This is the window you'll see immediately after the Directory Printer starts. Here you can tell it which folder's information should be printed or saved to disk. You can also select several other options, such as whether detailed information about individual files should be printed, or just summary information about each folder.

Click an area of the window for details.


Select a Folder (Print tab)

Select a Folder

Here you can select the folder whose information will be printed.

Tip: If the drive containing your folder does not appear, check the " Show Network " checkbox below the list of folders.


Selected Folder (Print tab)

Selected Folder

Here you'll see information (size, number of sub-folders and files, etc) about the currently-selected folder.

Note: If only the folder name appears, the program will display the additional information if you click the name of the folder (in the selection box) again.


Show Network checkbox (Print tab)

Show Network checkbox

Place a check mark here to select a folder from your network shares. Otherwise, only local drives, and their folders, will be shown.


Show Files checkbox (Print tab)

Show Files checkbox

Place a check mark here to see the files found in each Folder. Otherwise, only folders are shown.

Note: Although you can see the files here, you still must select a Folder (not a File) for printing.


File Filters list (Print tab)

File Filters

Select a File Filter to limit the files whose information will be printed. For example, if you select the "Common Document files" filter, only common files that contain documents or text will be printed.

Note: To create your own File Filters, or to modify an existing File Filter, click the " Edit ... " button.


Edit ... button (Print tab)

"Edit ..." button

Click here to view the Edit File Filters window . There you can add new File Filters , edit existing Filters, and delete File Filters you no longer need.


Print Options (Print tab)

Print Options

Three radio buttons shown here let you control how much information the Directory Printer will print. The choices are:

  • Files info only - print one line of information about each file. Do not print information about folders
  • Folder info only - print information about each folder. Do not print information about files.
  • Both Files & Folders - print information about all files and all folders.

Two checkboxes let you enable other features:

  • Search Sub-Folders - place a checkmark here and the Directory Printer will print information about files and folders found within the selected folder, and any files and folders found in sub-folders of the selected folder. Clear this checkbox and only the selected folder will be examined.

  • Print Folder Footers - place a checkmark here and the Directory Printer will print a line of totals for each folder. The line appears after information about the folder's files, and information about all of the folder's sub-folders, have been printed. The Totals can include the number of files found in the folder and its sub-folders, and the total size of those files.

  • Show System Files - a checkmark here causes the Directory Printer to print information about all System Files it finds. Clear this checkbox and the program will skip any System Files in encounters.

  • Show Hidden Files - This checkbox lets you tell the program to print information about Hidden Files (if checked) or skip Hidden Files (if cleared).

  • Show ReadOnly Files - This checkbox controls the Directory Printer's handling of Read-Only Files. Place a checkmark here, and any Read-Only files the program encounters will be printed. Clear this checkbox and Read-Only files will be ignored.

Note: The information shown in footers differs from the information normally printed about a folder (which only includes files found in the folder itself, not its sub-subfolders).


Sort Files by (Print tab)

Sort Files by

A folder's files will be printed any the order you choose here:

  • Don't Sort - print files in the order Windows reports them This may be sorted by file name, or may be the order they physically appear in the disk directory.
  • File Name - print files in file name order.
  • Extension - print files in file name extension order
  • File Size - print files in file size order.
  • Date Created - print files in the order they were created.
  • Date Last Modified - print files in the order they were last modified.
  • Date Last Accessed - print files in the order they were last accessed.

Two other options let you choose how the sort is performed:

  • Ascending (A --> Z) - Sort in normal alphabetical order. If sorting numerical fields (such as File Size), smaller values appear before larger values. If sorting date fields (such as Date Created), older dates appear before newer dates.
  • Descending (Z --> A) - Sort in reverse alphabetical order. If sorting numerical fields (such as File Size), larger values appear before smaller values. If sorting date fields (such as Date Created), newer dates appear before older dates.


Print this File info (Print tab)

Print this File info

Here you can select the information that will be printed for each file. Just place a check mark beside an item in the list. Clear the checkbox, and the corresponding bit of information will not be printed.

You can also determine where each selected item will be printed. The item at the top of the list will be printed first (on the left-most end of the line). The remaining items will be printed, from left to right, in the order they appear in this list from top to bottom.

Tip: You can move items up and down within the list using just your keyboard. To move the selected item up, press <Ctrl>+<Up Arrow>. To move the selected item down, press <Ctrl>+<Down Arrow>.

Here is the information that can be printed. Click on an entry to learn more about it:

  • File Name
  • Short Name (8.3)
  • Full Name (Path + File)
  • Folder Name
  • Extension
  • File Size
  • Compressed Size
  • Attributes
  • Date Created
  • Date Last Modified
  • Date Last Accessed
  • File Version
  • MD5 Hash
  • SHA-1 Hash
  • SHA-224 Hash
  • SHA-256 Hash
  • SHA-384 Hash
  • SHA-512 Hash

Note: If one or more of these items is not displayed, check the "Available Information" list on the "Other Settings" tab .


Print this Folder info (Print tab)

Print this Folder info

Here you can select the information that will be printed for each folder. Just place a check mark beside an item in the list. Clear the checkbox, and the corresponding bit of information will not be saved.

You can also determine where each selected item will be printed. The item at the top of the list will be printed first (on the left-most end of the line). The remaining items will be printed, from left to right, in the order they appear in this list from top to bottom.

Tip: You can move items up and down within the list using just your keyboard. To move the selected item up, press <Ctrl>+<Up Arrow>. To move the selected item down, press <Ctrl>+<Down Arrow>.

Here is the information that can be saved. Click on an entry to learn more about it:

  • Folder Name
  • Short Name (8.3)
  • Full Name (Path + Folder)
  • Parent Folder
  • Folder Size
  • Compressed Size
  • Attributes
  • Date Created
  • Date Last Modified
  • Date Last Accessed
  • Number of Files
  • Number of Sub-Folders

Note: If one or more of these items is not displayed, check the "Available Information" list on the "Other Settings" tab .


Up button (Print tab)

(Up) button

This button, and the (Down) button, let you control the order information will be printed.

Click this button to move the selected item up (to the next higher position in the list). File information is printed in the order in which it appears in this list. So moving an item up means it will appear earlier in the line printed for a particular file.

Tip: You can press <Ctrl>+<Up Arrow>, after selecting the entry to move, instead of clicking the Up button.


Down button (Print tab)

(Down) button

This button, and the (Up) button, let you control the order information will be printed.

Click this button to move the selected item down (to the next lower position in the list). File information is printed in the order in which it appears in this list. So moving an item down means it will appear later in the line printed for a particular file.

Tip: You can press <Ctrl>+<Down Arrow>, after selecting the entry to move, instead of clicking the Down button.


Extra Margin checkboxes (Print tab)

Extra Top/Left Margin checkboxes

These two checkboxes tell the program to add additional blank space at the top, and along the left side, of each printed page. When checked, an additional 1/2 inch of margin is added across the top of each page, and an additional 1 inch of margin is added to the left side of the page.


Highlight checkboxes (Print tab)

Highlight Executable/Macro Files checkboxes

These check boxes cause the program to highlight the names of executable and macro files. When highlighted, those names are printed in an italic font.


Print button (Print tab)

"Print" button

Print the currently selected Folder's information.

Note: Before the actual printing occurs, you'll see the "Printer Settings" dialog , where you can choose your printer, select a font, specify the number of copies that should be printed, change page orientation, and more.


Select a Folder (Save to Disk tab)

Select a Folder

Here you can select the folder whose information will be saved to disk.

Tip: If the drive containing your folder does not appear, check the " Show Network " checkbox below the list of folders.


Selected Folder (Save to Disk tab)

Selected Folder

Here you'll see information (size, number of sub-folders and files, etc) about the currently-selected folder.

Note: If only the folder name appears, the program will display the additional information if you click the name of the folder (in the selection box) again.


Show Network checkbox (Save to Disk tab)

Show Network checkbox

Place a check mark here to select a folder from your network shares. Otherwise, only local drives, and their folders, will be shown.


Show Files checkbox (Save to Disk tab)

Show Files checkbox

Place a check mark here to see the files found in each Folder. Otherwise, only folders are shown.

Note: Although you can see the files here, you still must select a Folder (not a File) for printing.


File Filters list (Save to Disk tab)

File Filters

Select a File Filter to limit the files whose information will be saved. For example, if you select the "Common Document files" filter, only common files that contain documents or text will be saved.

Note: To create your own File Filters, or to modify an existing File Filter, click the " Edit ... button.


Edit ... button (Save to Disk tab)

"Edit ..." button

Click here to view the Edit File Filters window . There you can add new File Filters , edit existing Filters, and delete File Filters you no longer need.


Save Options (Save to Disk tab)

Save Options

Three radio buttons shown here let you control how much information the Directory Printer will save. The choices are:

  • File info only - save one line of information about each file. Do not save information about folders
  • Folder info only - save information about each folder. Do not save information about files.
  • Both Files & Folders - save information about all files and all folders.

Two checkboxes let you enable other features:

  • Search Sub-Folders - place a checkmark here and the Directory Printer will save information about files and folders found within the selected folder, and any files and folders found in sub-folders of the selected folder. Clear this checkbox and only the selected folder will be examined.

  • Print Folder Footers - place a checkmark here and the Directory Printer will save a line of totals for each folder. The line appears after information about the folder's files, and information about all of the folder's sub-folders, have been save. The Totals can include the number of files found in the folder and its sub-folders, and the total size of those files.

Note: The information shown in these totals differs from the information normally saved about a folder (which only includes files found in the folder itself, not its sub-subfolders).


Sort Files by (Save to Disk tab)

Sort Files by

A folder's files will be saved any the order you choose here:

  • Don't Sort - save files in the order Windows reports them This may be sorted by file name, or may be the order they physically appear in the disk directory.
  • File Name - save files in file name order.
  • Extension - save files in file name extension order
  • File Size - save files in file size order.
  • Date Created - save files in the order they were created.
  • Date Last Modified - save files in the order they were last modified.
  • Date Last Accessed - save files in the order they were last accessed.

Two other options let you choose how the sort is performed:

  • Ascending (A --> Z) - Sort in normal alphabetical order. If sorting numerical fields (such as File Size), smaller values appear before larger values. If sorting date fields (such as Date Created), older dates appear before newer dates.

  • Descending (Z --> A) - Sort in reverse alphabetical order. If sorting numerical fields (such as File Size), larger values appear before smaller values. If sorting date fields (such as Date Created), newer dates appear before older dates.


Save this File info (Save to Disk tab)

Save this File info

Here you can select the information that will be saved for each file. Just place a check mark beside an item in the list. Clear the checkbox, and the corresponding bit of information will not be saved.

You can also determine where each selected item will be saved. The item at the top of the list will be saved first (on the left-most end of the a file's line). The remaining items will be stored, from left to right, in the order they appear in this list from top to bottom.

Tip: You can move items up and down within the list using just your keyboard. To move the selected item up, press <Ctrl>+<Up Arrow>. To move the selected item down, press <Ctrl>+<Down Arrow>.

Here is the information that can be saved. Click on an entry to learn more about it:

  • File Name
  • Short Name (8.3)
  • Full Name (Path + File)
  • Folder Name
  • Extension
  • File Size
  • Compressed Size
  • Attributes
  • Date Created
  • Date Last Modified
  • Date Last Accessed
  • File Version
  • MD5 Hash
  • SHA-1 Hash
  • SHA-224 Hash
  • SHA-256 Hash
  • SHA-384 Hash
  • SHA-512 Hash

Note: If one or more of these items is not displayed, check the "Available Information" list on the "Other Settings" tab .


Save this Folder info (Save to Disk tab)

Save this Folder info

Here you can select the information that will be saved for each folder. Just place a check mark beside an item in the list. Clear the checkbox, and the corresponding bit of information will not be saved.

You can also determine where each selected item will be saved. The item at the top of the list will be saved first (on the left-most end of the a file's line). The remaining items will be stored, from left to right, in the order they appear in this list from top to bottom.

Tip: You can move items up and down within the list using just your keyboard. To move the selected item up, press <Ctrl>+<Up Arrow>. To move the selected item down, press <Ctrl>+<Down Arrow>.

Here is the information that can be saved. Click on an entry to learn more about it:

  • Folder Name
  • Short Name (8.3)
  • Full Name (Path + Folder)
  • Parent Folder
  • Folder Size
  • Compressed Size
  • Attributes
  • Date Created
  • Date Last Modified
  • Date Last Accessed
  • Number of Files
  • Number of Sub-Folders

Note: If one or more of these items is not displayed, check the "Available Information" list on the "Other Settings" tab .


Up button (Save to Disk tab)

(Up) button

This button, and the (Down) button, let you control the order information will appear in the file to be saved.

Click this button to move the selected item up (to the next higher position in the list). File information is saved in the order in which it appears in this list. So moving an item up means it will appear earlier in the line written for a particular file.

Tip: You can press <Ctrl>+<Up Arrow>, after selecting the entry to move, instead of clicking the Up button.


Down button (Save to Disk tab)

(Down) button

This button, and the (Up) button, let you control the order information will appear in the file to be saved.

Click this button to move the selected item down (to the next lower position in the list). File information is saved in the order in which it appears in this list. So moving an item down means it will appear later in the line written for a particular file.

Tip: You can press <Ctrl>+<Down Arrow>, after selecting the entry to move, instead of clicking the Down button.


Omit COMMENT Lines (Save to Disk tab)

Omit COMMENT Lines

Place a checkmark here, and lines beginning with "COMMENT" will be omitted from the information saved to disk. Normally, these lines contain the date and time the file was saved, the folder whose information was saved, the computer where the program was run, and column headings for the file and folder infomation that follows.


Omit FILE, FOLDER and TOTAL Line IDs (Save to Disk tab)

Omit FILE, FOLDER and TOTAL Line IDs

Place a checkmark here to cause the FILE, FOLDER and TOTAL identifies to be omitted from the information saved to disk.

Normally, each line containing information about a file is begins with "FILE". Lines containing information about folders are begin with the text "FOLDER". Lines showing folder totals (the contents of a folder, and all its sub-folders) begin with "TOTAL" Placing a checkmark here suppresses these line identifiers.

Note: Other lines, containing information about the folder whose information being saved, the date and time the data was collected, etc. are preceded by "COMMENT". To omit these lines also, see Omit COMMENT Lines .


Save button (Save to Disk tab)

Save button

Save the currently selected Folder's information to a disk file. You will be prompted for the name of the disk file where the information should be stored.


Add "Print with DirPrn" checkbox (Other Settings tab)

Add "Print with DirPrn" to Folder & Drive Context Menus checkbox

Place a check mark here to add the selection "Print with DirPrn" to the context menu that appears when you right-click a folder or drive's icon. This allows you to quickly print a folder or file's information without having to manually launch the Directory Printer.


Remember My Settings (Other Settings tab)

Remember My Settings

Place a checkmark here, and the program will remember your selections on the Print and Save to Disk tabs from one run to the next. This adds a small amount of time when the program is starting, but can make life easier if you have favorite settings you use over and over again.


Available Information (Other Settings tab)

Available Information

Here you control the file and folder information that may be selected when printing or saving to disk. Clearing the checkbox beside fields you seldom or never want to see will reduce the clutter on the program's other tabs.

Here is file information that can be available. Click on an entry to learn more about it:

  • File Name
  • Short Name (8.3)
  • Full Name (Path + File)
  • Folder Name
  • Extension
  • File Size
  • Compressed Size
  • Attributes
  • Date Created
  • Date Last Modified
  • Date Last Accessed
  • File Version
  • MD5 Hash
  • SHA-1 Hash
  • SHA-224 Hash
  • SHA-256 Hash
  • SHA-384 Hash
  • SHA-512 Hash

Here is folder information that can be available. Click on an entry to learn more about it:

  • Folder Name
  • Short Name (8.3)
  • Full Name (Path + Folder)
  • Parent Folder
  • Folder Size
  • Compressed Size
  • Attributes
  • Date Created
  • Date Last Modified
  • Date Last Accessed
  • Number of Files
  • Number of Sub-Folders


Edit File Filters window

Edit File Filters

This window lets you add new File Filters , and edit or delete existing File Filters.

For more infomation, click on the window shown below:


Existing File Filters (Edit File Filters window)

Existing File Filters

A list of all currently-defined File Filters . Initially, this list will contain several pre-defined File Filters, including "All Files", "Common Image Files" and "Common Web Files". You can add your own File Filters to this list (by clicking the "New File Filter" button ).


New File Filter button (Edit File Filters window)

New File Filter button

Create a new File Filter . You can then enter the new File Filter's Description, and add the Wildcards the File Filter should contain.


Edit File Filter button (Edit File Filters window)

Edit File Filter button

Edit the selected File Filter . This allows you to add, change, or delete Wildcards , and change the File Filter's Description.


Delete File Filter button (Edit File Filters window)

Delete File Filter button

Delete the selected File Filter . This File Filter will no longer be available.


Description (Edit File Filters window)

Description

Your name for, or short description of, this File Filter .


Wildcards (Edit File Filters window)

Wildcards

A list of all Wildcards in the File Filter .


Wildcard information (Edit File Filters window)

Wildcard

The Wildcard currently being added or edited.


Add Wildcard button (Edit File Filters window)

Add Wildcard button

Adds a new Wildcard to the File Filter . Initially, the wildcard will be "*.*" (All Files). But you can change it to any valid wildcard you like.


Remove WIldcard button (Edit File Filters window)

Remove WIldcard button

Removes the currently selected WIldcard from the File Filter .


Discard button (Edit File Filters window)

Discard button

Discard all changes made to the File Filter . If you were adding a new File Filter, the new File Filter is not added. If you were editing an existing File Filter, all changes are discarded and the File Filter is unchanged.


Save button (Edit File Filters window)

Save button

Save your changes to this File Filter. If this is a new File Filter , it is added to the list of available File Filters. If you were editing an existing File Filter, the changes are saved.


Cancel button (Edit File Filters window)

Cancel button

Click this button, and all changes made to your File Filters will be discarded. The Edit File Filter window will then close.


Done button (Edit File Filters window)

Done button

Click this button, and all changes made to File Filters will be saved. The Edit File Filter window will then close.


Algorithm (definition)

Algorithm

A mathematician's word for a formula or equation. An algorithm is a "recipe" for computing a certain type of value. For example, the algorithm for computing an average of three numbers, X1,X2, and X3 is:

X1 + X2 + X3

------------------

3

See Also: Hash


Folder (definition)

Folder

Technically, it's a place on your disk where the names of files, and other folders, are stored (alongside other information such as attributes and sizes). Think of it as a telephone directory, containing information about files and folders instead of about people and businesses. This analog gave rise to the folder's other (and earlier) name: directory.

Note: Although a folder "contains files", it really only contains information about the files, not the data stored in the files themselves. The files and their data are stored elsewhere on a disk.


File Filter (definition)

File Filter

A File Filter let you to control which files a program will examine. Information about those files that "pass through" or match the filter. Information about all other files will be skipped or ignored.

For example, if you select the "Common Image Files" filter, only files that normally store pictures or other images will appear on your report. Select the "Common Sound Files" filter, and only files that normally contain music or sound will be processed.

A File Filter consists of one or more Wildcard . A file matches, or passes through, a File Filter if its file name matches one or more of the filter's wildcards.


Wildcard (definition)

Wildcard

A Wildcard is a way to specify one or more files at the same time. A Wildcard resembles a file name, with two exceptions: A Wildcard can contain the characters "*" (asterisk) and "?" (question mark), while a file name cannot.

When comparing a wildcard to a file name, the "?" character in a wildcard will match any corresponding character in a filename. For example, this wildcard:

Quarter ? Report.xls

matches these file names:

Quarter 1 Report.xls

Quarter 2.Report.xls

Quarter 3 Report.xls

When comparing a wildcard to a file name, the "*" character in a wildcard matches any number of consecutive characters in a filename. For example, this wildcard:

* Report.doc

matches these file names:

Monthly Report.doc

Daily Report.doc

Report.doc

Note: If a wildcard does not contain any "*" or "?" characters, it only matches a single file whose name is exactly the same as the wildcard. File Filters consisting of just one such wildcard will only pass that single file.


Hash (definition)

Hash

The result of apply a hash algorithm, such as MD5 or SHA-1 , to some data such as a file.

The hash, or hash value, is usually represented as a string of 32-128 hexadecimal digits (the numbers 0 through 9, and the letters A through F), representing the values of the hash's 128 to 512 individual bits .

See Also: MD5 , SHA-1 , SHA-224 , SHA-256 , SHA-384 , SHA-512


MD5 (definition)

MD5

Message Digest 5, a mathematical formula for uniquely representing any amount of data in just 128 bits (16 bytes). MD5, and other hash algorithms (such as SHA-1 ) are used in cryptography, digital security, computer forensics, and other areas.

Note: If two files have the same MD5 hash value , they are assured (with an astronomical degree of certainty) to have exactly the same contents, bit for bit.

See Also Hash , SHA-1 , SHA-224 , SHA-256 , SHA-384 , SHA-512


SHA-1 (definition)

SHA-1

"Secure Hash Algorithm 1", a mathematical formula for uniquely representing any amount of data in just 160 bits (20 bytes). SHA-1, and other hash algorithms (such as MD5 ) are used in cryptography, digital security, computer forensics, and other areas.

Note: If two files have the same SHA-1 hash value , they are assured (with an astronomical degree of certainty) to have exactly the same contents, bit for bit.

See Also: Hash , MD5 , SHA-224 , SHA-256 , SHA-384 , SHA-512


SHA-224 (definition)

SHA-224

"Secure Hash Algorithm 224", a mathematical formula for uniquely representing any amount of data in just 224 bits (28 bytes). SHA-224 and other hash algorithms (such as MD5 ) are used in cryptography, digital security, computer forensics, and other areas.

Note: If two files have the same SHA-224 hash value , they are assured (with an astronomical degree of certainty) to have exactly the same contents, bit for bit.

See Also: Hash , MD5 , SHA-1 , SHA-256 , SHA-384 , SHA-512


SHA-256 (definition)

SHA-256

"Secure Hash Algorithm 256", a mathematical formula for uniquely representing any amount of data in just 256 bits (32 bytes). SHA-256 and other hash algorithms (such as MD5 ) are used in cryptography, digital security, computer forensics, and other areas.

Note: If two files have the same SHA-256 hash value , they are assured (with an astronomical degree of certainty) to have exactly the same contents, bit for bit.

See Also: Hash , MD5 , SHA-1 , SHA-224 , SHA-384 , SHA-512


SHA-384 (definition)

SHA-384

"Secure Hash Algorithm 384", a mathematical formula for uniquely representing any amount of data in just 384 bits (48 bytes). SHA-384 and other hash algorithms (such as MD5 ) are used in cryptography, digital security, computer forensics, and other areas.

Note: If two files have the same SHA-384 hash value , they are assured (with an astronomical degree of certainty) to have exactly the same contents, bit for bit.

See Also: Hash , MD5 , SHA-1 , SHA-224 , SHA-256 , SHA-512


SHA-512 (defnition)

SHA-512 (definition)

"Secure Hash Algorithm 512", a mathematical formula for uniquely representing any amount of data in just 512 bits (64 bytes). SHA-512 and other hash algorithms (such as MD5 ) are used in cryptography, digital security, computer forensics, and other areas.

Note: If two files have the same SHA-512 hash value , they are assured (with an astronomical degree of certainty) to have exactly the same contents, bit for bit.

See Also: Hash , MD5 , SHA-1 , SHA-224 , SHA-256 , SHA-384


Attributes (definition)

Attributes

Besides a name, each disk file and folder have eight attributes. These attributes are often displayed as a short text string. If file or folder has a particular attribute, that attribute's one-letter abbreviation appears in the text. If not, that attribute's location in the text is replaced by a dash ("-").

For example, a file's attribute's might be represented by this text: RH-A-E-X

This indicates the file is Read-Only, Hidden, Archivable, Encrypted and Executable. However, it is not a System file, nor is it Temporary or Compressed, because those attribute's letters are missing from the attribute text.

Here's a complete list of attributes, their one-letter abbreviations, and a short description of what they mean:

  • R - Read-Only: The file or folder can be read, but not changed or written.
  • H - Hidden: The name of the file or folder is not normally displayed.
  • S - System: The folder or file "belongs" to Windows and shouldn't be changed by users.
  • A - Archivable: The file has been changed since your last backup.
  • C - Compressed: Windows has compressed the file or folder, to save disk space.
  • E - Encrypted: The file or folder is encrypted, and cannot be accessed with a password.
  • T - Temporary: The file or folder was created temporarily, and should be deleted automatically when no longer needed.
  • X - Executable: The file contains a program, macro or script. It can "execute", or issue instructions to your computer's CPU .


File Size (definition)

File Size

The amount of information, measured in bytes , contained in a file .

For example, a file that stores 100 bytes of data has a file size of 100 bytes .

See Also: Compressed Size


Folder Size (Definition)

The amount of information, measured in bytes , contained in all files residing in a particular folder.

For example, a folder that contains 2 files, each storing 100 bytes of data, has a folder size of 200 bytes .


Compressed Size (definition)

Compressed Size

For files, the amount of disk space, measured in bytes , used to store a compressed file 's information.

For folders, the actual amount of disk space, measured in bytes , used to store the files it contains, after taking into account any disk compression.

Note: If a file is not compressed, this will be the same as the file's size . If none of a folder's files are compressed, this will be the same as the folder's size .


Folder Name (definition)

Folder Name

Each folder must have a name, composed of most any printable character except these: < > : " / \ |

Older versions of Windows limit a folder's name to just eight characters, optionally followed by a single period ("."), then up to three more characters. Newer versions of Windows (Windows 95 and later) allow folder names to contain as many as 255 characters.


File Name (definition)

File Name

Each file must have a name, composed of most any printable character except these: < > : " / \ |

Older versions of Windows limit a file's name to just eight characters, optionally followed by a single period ("."), then up to three more characters. Newer versions of Windows (Windows 95 and later) allow file names to contain as many as 255 characters.


Extension (definition)

Extension

The last 1-6 characters of a file name are known as the file name's extension, if they are immediately preceded by a period (".").

For example, if a file is named: myfile.ext

Its filename extension is: ext

However, a file named: myfilenoext

Has no extension.

Note: File name extensions often identify the type of information stored in a file. For example. file names with an extension of "doc" usually contain documents created by Microsoft's Word and WordPad word-processing programs. Other common file name extensions are:

  • exe - Executable file (a program)
  • com - an older form of Executable file
  • dll - Dynamic Link Library (a file containing computer instructions that are shared by two or more programs)
  • bmp, gif, jpg, jpeg, png, tif, tiff, pcx, ico - Various types of image or picture files
  • txt - text
  • htm, html - HyperText Markup Language (a file containing the contents of a web page)


Full Name (definition)

Full Name

The full name of a file or folder, including the drive or network share on which it resides, and any parent folders in which it resides.

Sometimes called a Full Path, or Path. though those terms can also refer to the drive and parent folders, without the name of the particular file or folder.


Short Name (definition)

Short Name

A file or folder's name limited to eight characters, followed by a single period ("."), and three additional characters.

Older versions of Windows, and its predecessor, DOS, limited file and folder names to this so-called "8.3" format. Since the release of Windows 95, most file and folder names can be much longer,containing as many 255 characters. But to remain compatible with older programs, Windows automatically assigns each file and folder an alternate short name that conforms to the 8.3 limitation.


Parent Folder (definition)

Parent Folder

The folder that contains information about a particular file or folder. Files and folders are said to reside, or be contain within, their parent folder.


Sub-Folder (definition)

Sub-Folder

Any folder that resides within another folder (known as the Parent Folder).


Date Created (definition)

Date Created

The date and time a file or folder was created. Subsequent changes to a file or folder do not alter its Date Created.


Date Last Accessed (definition)

Date Last Accessed

The date and time a file or folder was last accessed (read or modified).


Date Last Modified (definition)

Date Last Modified

The most recent date and time the contents of folder or file was changed.


File (definition)

File

Usually, a region of a disk drive used to store a single collection of information. For example, a file might consist of all the disk space used to store a particular word-processing document.

In addition to the data they contain, files have names, sizes , and attributes . This additional information is kept in Folders .

Files are often classified as Data Files , and Executable Files , depending on the type of information they contain.


Data File (definition)

Data File

A file that contains information, such as names, addresses, account balances, pictures, poems, resumes, term papers, business plans, etc.

Contrast these with Executable and Macro files.

Note: Some files primarily contain data, but may also contain macros . Examples include word processing files, spreadsheets, and some web pages.


Executable File (definition)

Executable File

These files (also called programs) contain computer instructions, commands that can carried out by your computer's CPU . All programs are executable files.

Contrast these with Data files .


Macro (definition)

Macro

This type of file , also sometimes called a script, or batch file, contains computer instructions in a human-readable form. When this file is run, your computer converts its contents into normal computer instructions, then executes those instructions.

Macro's often are used to automate repetitive operations, such as backup up files or formatting documents. Many macros are written by ordinary users, as opposed to other types of executable files , which are usually created by professional programmers.


Hexadecimal (definition)

Hexadecimal

A numbering system that uses 16 different digits: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E and F.

Because each hexadecimal digit has more different values than our familiar decimal number system (where there are only 10 different digits, 0 through 9), hexadecimal number can represent large values using fewer digits.

For example, the decimal number 4,294,967,295 is equal to the hexadecimal number FFFFFFFF (or FFFF FFFF, since spaces are often inserted every four hexadecimal digits to make them more readable).

A single hexadecimal digit can represent all the possible values of a group of four bits . The possible values of a single byte range from 0 to 255 (in the decimal system), or 0 to FF (in the hexadecimal system).

Note: The word "Hexadecimal" is often shorted to just "Hex".


Bit (definition)

Bit

A bit is the smallest unit of data. A single bit can have only one of two possible values. You might think of a bit as a light bulb. Programmers and engineers say it has only two states: on and off.

Usually, a bit's two possible values are referred to as 1 (one) and 0 (zero). But sometimes you you'll see the possible values of a bit called True (1) and False (0), or On (1) and Off (0).

To store a larger range of data, eight bits are often combined to make one byte .


Byte (definition)

Byte

An amount of disk space, or computer memory, able to store eight bits of information. Since it usually takes eight bits to store a single letter of the alphabet or punctuation mark, a byte is often called a "character".

When used to store numbers, a single byte can store any value between 0 and 255, or between -128 and +127 (if signed numbers must be considered).

Computers usually contain several million bytes of memory, and several billion bytes of disk space. One million bytes is often called a megabyte (abbreviated "MB"), while a billion bytes is called a gigabyte (abbreviated "GB").


Megabyte (definition)

Megabyte

Often used to mean approximately one million (1,000,000) bytes . When referring to an amount of disk space or computer memory, may also mean 1,048,576 (1,024 x 1,024, or 2 to the 20th power), bytes .


Gigabyte (definition)

Gigabyte

Often used to mean approximately one billion (1,000,000,000) bytes . When referring to an amount of disk space or computer memory, may also mean 1,073,741,824 (1,024 x 1,024 x 1,024, or 2 to the 30th power), bytes .


Terabyte (definition)

Terabyte

Often used to mean approximately one trillion (1,000,000,000,000) bytes . When referring to an amount of disk space or computer memory, may also mean 1,099,511,627,776 (1,024 x 1,024 x 1,024 x 1,024, or 2 to the 40th power), bytes .


File Version (definition)

File Version

Most executable files contain a 32- bit number known as their Version. Programmers increment this number each time they change a program, so files with larger version numbers contain newer versions of a program.

Version numbers are often displayed as two, three or four small numbers, separated by periods. For example, File Versions can look like these examples:

1.0

3.8.4

2.20.8.873

The first number is called the program's Major Version number. Changes in this number usually indicate major, or large-scale, changes to the program have occurred.

The second number, if present, is called the Minor Version number. Changes to this number indicate smaller, more incremental, changes to a program's features. If the Minor Version number is not displayed, its value is zero.

The third number, if present, is called the Revision number. Often changes in this number indicate releases of a program that fix known bugs. If the Revision number is not displayed, its value is zero.

The final number is known as the Build number. Usually, this number increases by 1 each time a programmer creates a runnable copy of a program. During development and testing, a programmer may make several new "builds" each day. So this number often runs into the hundreds or even thousands for large programs. Only a few of the many builds are released to the public.


CPU (definition)

CPU

CPU stands for Central Processing Unit. It's the portion of a computer's circuitry that performs calculations, compares values, and makes decisions. You can think of it as the computer's brain.


Context Menu (definition)

Context Menu

This is a small menu that often appears when you click a file's icon, or a program's on-screen window, with your right mouse button. It offers choices that only pertain to that icon, or window location (hence the name "Context Menu").


Landscape Orientation (definition)

Landscape Orientation

Printed pages that are rotated so that they are wider than they are tall. Contrast with Portrait Orientation .


Portrait Orientation (definition)

Portrait Orientation

Printed pages that are rotated so that they are taller than they are wide. Contrast with Landscape Orientation .


Greenwich Mean Time (definition)

Greenwich Mean Time

The time zone that contains the " Prime Meridian ", the line of longitude that passes through the Royal Observatory in Greenwich, England.

Local time in all other time zones are specified as a number of minutes ahead of, or behind, GMT time. For example, during the winter months, the local time along the East coast of the United States (the Eastern Time Zone) is always five hours earlier than GMT. This is often written as: GMT -5:00.

Note: GMT does not observe Daylight Saving Time . When clocks are shifted during the summer in the UK, the shifted time zone is called British Summer Time. GMT remains unchanged.

Note: GMT is also called UTC (Universal Coordinated Time, following the inside-out French word order).


Prime Meridian (definition)

Prime Meridian

The line of longitude that passes through the Royal Naval Observatory in Greenwich, England. All other longitudes are measured from this line.

For example, 90 degrees West longitude lies 90 degrees (one quarter of the way around the earth) West of the Prime Meridian. Ninety degrees East longitude falls 90 degrees to the East of the Prime Meridian.

The Prime Meridian is the only line of longitude that has no East or West designation. The line falling exactly opposite the Prime Meridian, on the other side of the world, can be specified as either 180 degrees West longitude, or 180 degrees East longitude. This lines falls near the International Date Line .


Longitude (definition)

Longitude

Geographers use a coordinate system to specify any location on the surface of the earth. One axis of this system consists of lines running North and South, called lines of longitude. These lines are sometimes called meridians.

Each line of longitude is a half-circle connecting the earth's North and South poles. The lines are identified by their angular distance from the Prime Meridian . For example, the line falling 90 degrees West of the Prime Meridian is known as the 90th meridian, or 90 degrees West longitude.

The other axis consists of lines circling the globe running East and West, called lines, or circles, of latitude .


Latitude (definition)

Latitude

Geographers use a coordinate system to specify any location on the surface of the earth. One axis of this system consists of lines circling the globe running East and West, called lines, or circles, of latitude. Lines of latitude are sometimes called "parallels", since all latitude lines are parallel with one another.

The best know line of latitude is the Equator, which falls half-way between the earth's North and South poles.

Another well-known line of latitude is the Arctic Circle (66 1/2 degrees North latitude), the northernmost point where the sun can be seen in Winter, and the southernmost point where the sun doesn't set during the Summer. the Antarctic Circle occupies a similar position in the Southern hemisphere (66 1/2 degrees South latitude).

The other axis in this coordinate system consists of lines circling the globe running North and South, called lines, or circles, of longitude .


International Date Line (definition)

International Date Line

A line, falling near 180 degrees West (or East) longitude , where each day begins. In other words, a new day officially begins when the local time along the International Date Line is midnight.

Although the International Date Line runs North and South, it is not a line of longitude. That's because the date line zigs and zags to avoid populated areas of the Pacific Ocean, in order to avoiding having a single population divided by the line.

Contrast with Prime Meridian


Universal Coordinated Time (definition)

Universal Coordinated Time

See Greenwich Mean Time


Chip (definition)

Chip

Originally engineer slang for an integrated circuit, a small, flat piece of silicon on which are engraved thousands, and sometimes millions, of transistors and other electronic circuit elements. The term is no long consider slang.

A computer's memory ( RAM ) is provided by a group of chips. The computer's CPU is found on one or more chips. Additional chips contain circuitry for a computer's video display, I/O ports, and more. Chips are also found in telephones, televisions, cars, many household appliances, more and more toys, and elsewhere.


Random Access Memory (definition)

Random Access Memory

Often referred to by the acronym RAM, this is the portion of a computer's circuitry where frequently accessed data is stored. A copy of Windows, and copies of running programs are stored here (they are copied from the hard disk when the program starts), along with the intermediate results of the program's calculations, etc.

The contents of RAM are erased when the computer is powered off. So any data that must be remembered after the computer is turned off must first be copied to a more permanent (though usually slower) storage location, such as a hard disk.


Time Zone (definition)

Time Zone

Time zones are areas of the earth that have the same local time. Ideally, time zones are centered on lines of a longitude that are a multiple of 15º from the Prime Meridian . This spacing would provide a total of 24 time zones, one for each hour in a day.

In practice, time zone boundaries are not perfect North-South lines along a meridian . Instead, they zig and zag, following country and state boundaries, and even geological or topographic features of the earth.

There are also more than 24 different time zones. Some of the irregular time zones are not a whole number of hours away from GMT . Others differ from their brethren by having different rules for the observation of Daylight Saving Time .


Bias (definition)

Bias

The difference, in minutes, between the local time in two different time zones. Often, the bias represents the difference between the local time in the currently active time zone, and the local time in the Greenwich Mean Time (GMT aka UTC) time zone.

Bias is also known as Offset


Offset (definition)

Offset

An object's distance from a particular location. Often, locations of data within a computer's memory are specified as an offset from a common location, such as the beginning of program's allocated memory space.

Also used in time keeping. See Bias


Daylight Saving Time (definition)

Daylight Saving Time

In many time zones, the local time is shifted in order to cause the sun to rise later in the morning, and set later in the evening. Usually, though not always, this shift is 60 minutes or one hour. The portion of the year when this shift is in effect is known as Daylight Saving Time.

Contrast with Standard Time


Standard Time (definition)

Standard Time

This is the normal, local time in a particular time zone. This time is in effect year-round in some time zones. In others, it is in effect whenever Daylight Saving Time is not in effect.

Contrast with Daylight Saving Time


Local Time (definition)

Local Time

The current date and time where the user or computer is located. This depends on the active time zone, that zone's bias/offset from Greenwich Mean Time , and whether Daylight Saving Time is currently in effect in the active time zone.


Parallel (definition)

Parallel

In cartography and geography, another name for a line of latitude .

In mathematics, any two lines that are always equidistant (the same distance apart).

In computer-ease and electrical engineering, a data path that can carry several signals simultaneous. For example, older connections to printers were often via "parallel ports", or ports that could transport eight bits of data, and several other bits of status information, simultaneously.


Meridan (definition)

Meridian

See Longitude


Time Server (definition)

Time Server

A computer whose clock is very accurate (usually because it has been synchronized with the accurate clock of another computer), and which lets other computers synchronize their clocks to its own.

Computers synchronizing their clocks often communicate with each other using a communication standard known as NTP (Network Time Protocol) or SNTP (Simple Network Time Protocol).


NTP (definition)

NTP

Network Time Protocol - the set of rules that many computers follow when synchronizing their clock with that of another computer (a Time Server ).

NTP is a very complex protocol, requiring approximately 100 pages for its formal definition. A simplified version of NTP, known as SNTP, is used by most ordinary computers. Full NTP is usually reserved for master time-keeping computers, and other computers that need to know the current time with extreme precision (within a few billionths of a second).


Shortcut (definition)

Shortcut

Often called a "desktop shortcut", this is a icon that, when clicked, causes a program to run or a file to be opened. The icon does not directly represent the file or program itself. Instead, the information stored within the shortcut include the program or files actual location.

Often, users will create shortcuts to their favorite programs and files, and place those shortcuts on their Windows desktop. These shortcut icons are convenient and highly visible, while the programs and files themselves remain safely out of the way in other folders such as \Documents and Settings and \Program Files.

Shortcut icons can usually be identified by a small arrow symbol in the lower-left corner of the icon.


Clipboard (definition)

Clipboard

A portion of your computer's memory where text, pictures, and other bits of data can be temporarily stored.

To place information in the clipboard, you normally select it within a program's window, then click the program's "Copy", "Cut", "Copy to Clipboard", or "Cut to Clipboard' button. There may also be a "Copy" or "Cut" menu choice, often in the program's "Edit" menu.

Note: Information that is copied to the clipboard also remains intact within the program where the information was originally stored. But if you "Cut" information to the clipboard, it is normally removed from the program where it was originally stored.

To retrieve information from the clipboard, you can normally click the program's "Paste" or "Paste from Clipboard" button. There may also be a "Paste" menu choice, often in the program's "Edit" menu.


Drag and Drop (definition)

Drag and Drop

This is a fast way to copy file(s) from one folder to another, or from a folder to a list of files displayed by a program.

Start by opening the folder holding the file to be copied. Next, depress your left mouse button while the mouse pointer is over the file's icon. Now use your mouse to drag the icon to its destination (either another folder, or a list of files displayed by a program). Finally, release your left mouse button.

You can also copy more than one file at a time. To select multiple files, simply hold down one of the <Ctrl> keys on your keyboard while clicking once on each file's icon with your left mouse button. When selecting the last file, don't release your mouse button, but keep it depressed while dragging the file icons as before.


Compression (definition)

Compression

Mathematicians have found ways to reduce the space required to store certain types of data. Compressed data uses less disk space, and can be transmitted or copied more quickly.

Depending on the type of data, compression can reduce the size of the data by as much as 90%. Reductions of 50% are more common. And some data cannot be compressed at all.

Compressed data appears to be garbled, since its contents have been rearranged. Before compressed data can be used, it must first be decompressed, or restored to its original state and size. Windows performs the required decompression automatically, for files and folders it compressed. Data compressed using other software, for example WinZIP, must be decompressed by the same program before use.


Date (definition)

In computer-speak, a date may be a particular day (specified by its month, day of month, and year). But it may also indicate a particular time-of-day (specified by its hour, minute and second.


Startup folder (definition)

Startup folder

This folder contains links to programs that are automatically run each time Windows starts. You can view the contents of the folder by clicking Windows' Start button , then clicking the "Programs" then "Startup" menu entries .

Some programs that ought to be run whenever Windows starts place links to themselves here, during their installation process. You can also add links to your own programs here.


Start button (definition)

Start button

A button, usually appearing in the lower-left corner of the Windows desktop, labelled "Start". Clicking this button displays the Start menu , a list of choices that include starting common programs, restarting or shutting down Windows, finding files or folders, displaying Windows' help file, and adjusting settings for printers, programs and more.


Start menu (definition)

Start menu

This menu is displayed when you click Windows' Start button . It's exact contents vary, depending on your version of Windows, and changes made by programs and users. But among the choices you may see are:

  • Starting common programs
  • Restarting or shutting down Windows
  • Finding files or folders
  • Displaying Windows' help file
  • Adjusting settings for printers
  • Visiting the Windows Update web site
  • Run any selected program


Argument (definition)

Argument

In computer-speak, an argument (also called a parameter) is a bit of extra information that tells a program what to do. When launching a program via a command line, the arguments are typed after the name of the program itself.

The argument(s) might consist of the name of a file to open, or a special sequence of characters (often preceded by a slash ("/") or dash ("-") character) that specify a particular action.

For example, the Windows program Notepad.exe accepts one argument, the name of the file it should open:

Notepad.exe MyFile.txt

The Windows program ChkDsk.exe accepts several parameters, including the letter of the drive to be checked, and "/F", ordering the program to fix disk errors it finds:

ChkDsk.exe C: /F

Note: When creating a shortcut to a program, you can specify the arguments separately, instead of typing them after the program's name.

Note: Many programs will display all possible arguments, if run with the single argument "/?" or "/help" (without the quotation marks). For example: ChkDsk.exe /?


Icon (definition)

Icon

A small picture that represents a program, folder , or data file . The picture may indicate the file's purpose, or the program that created it. Double-clicking the icon with your left mouse button will normally run the program, or open the folder or data file.


Pi (definition)

Pi

One of the more important mathematical constants, Pi is equal to the length of a circle's circumference, divided by its diameter.

No one knows the exact value of Pi. That's because it belongs to a class of numbers known as "irrational", numbers that cannot be expressed by a finite number of digits. A recently-computed approximation of Pi had over 1 trillion digits, still leaving an infinite number of digits to be determined.

For most purposes, a value of Pi accurate to 5-10 digits is sufficient. Karen's Calculator program can insert an approximate value of Pi into a calculation. That program lets you choose the precision of the value, ranging from one digit to the right of the decimal point, to as many as 10,000 digits to the left of the decimal point.

The value of Pi, accurate to 50 digits, is: 3.14159265358979323846264338327950288419716939937511


e (definition)

e

One of the most important mathematical constants, e is the base for natural logarithms. A number's natural logarithm is the value, which when raised to the e power, equals that number. For example, the natural logarithm of 10 is 2.3025850929940456840179914546844, since e raised to the power of 2.3025850929940456840179914546844 equals 10.

No one knows the exact value of e. That's because it belongs to a class of numbers known as "irrational", numbers that cannot be expressed by a finite number of digits. A recently-computed approximation of e had over 2 million digits, still leaving an infinite number of digits to be determined.

For most purposes, a value of e accurate to 5-10 digits is sufficient. Karen's Calculator program can insert an approximate value of e into a calculation. That program lets you choose the precision of the value, ranging from one digit to the right of the decimal point, to as many as 10,000 digits to the left of the decimal point.

The value of e, accurate to 50 digits, is: 2.71828182845904523536028747135266249775724709369996

Note: e is often called Euler's Number (because of his discovery of a way to calculate its value), or Napier's Constant (because of his early work in the field of logarithms).


Irrational Numbers (definition)

Irrational Numbers

An irrational number is one that cannot be expressed as the ratio of two finite integers. Famous examples include Pi and e . Irrational numbers cannot be expressed using any finite number of digits. Therefore, any value is only an approximation.


Cookie (definition)

Cookie

A small file, or bit of text, placed on your computer by your web browser at the request of a web server.

We often expect web servers to remember us when we make a return visit. For example, when we make a second purchase at a web store, we may want the server to remember our shipping address. We may expect a chat room to remember our "handle" or chat room nickname.

But when we connect to a web site , by default, no useful information about is is sent to the server . All the server knows is our computer's IP address . Since IP addresses are often re-used and reassigned by ISPs, and more than one person can use a particular computer, this isn't a useful way of recognizing repeat visitors.

That's why cookies were invented. When we provide information to a web site , by filling in a form or entering other text, the web server may choose to store some or all of that information on our computer in a cookie. The next time we visit the site, the web server can recall that information by asking our web browser for any cookies stored by that server.

Some people feel cookies are a security risk. I think otherwise. If cookies didn't exist, web servers would store the information we provide them on their own disks, were we can't see or change what they've remembered.

Also, since a particular web server can only see cookies it created, cookies don't allow web servers to recall any information we didn't volutarily give them. If you don't want personal data stored in a cookie, don't tell it to a web site . But if you do tell personal information to a web site , cookies won't allow that information to spread to other locations.


Web Browser (definition)

Web Browser

A program that allows you to view information stored on web servers . The information available includes text, pictures, music, video, and most other types of files that can be store on a disk.

Popular web browsers include Microsoft Internet Explorer (MSIE), Netscape Navigator, FoxFire, and Opera.


Web Server (definition)

Web Server

A program that responds to web browsers by sending the requested information. A web server may do more than passively provide information. It may perform searches, place orders for merchandise, etc. on behalf of web browsers (and their users).

See also Web Site


Web Site (definition)

Web Site

A computer running a web server , and storing the information the server provides.


Server (definition)

Server

A computer that performs work for another computer (often called the client ). The server may provide information to the client's web browser (making the server a web server ). Or it may send or receive e-mail on behalf of the client's e-mail program (making the server an e-mail server). Other types of servers store and retrieve data (database servers), Domain Name servers (DNS servers) and File Transfer Protocol Servers (FTP servers) .

A particular computer may perform more than one server function. It may also be a client , depending on other servers to perform work on its behalf.

Often, the Internet may form the connection between the two computers. But local area networks can connect servers to clients too.


DNS (definition)

DNS

Domain Name System, a collection of servers that translate, or "resolve" familiar computer names such as www.microsoft.com into their less familiar IP addresses (such as 207.46.198.60).


FTP (definition)

FTP

File Transfer Protocol, a standard way for one computer to transfer files to another computer.


Client (definition)

Client

A computer that relies upon another computer (a server ) to perform some work. Most computers are clients, at one time or another. Any time a computer connects to a web server , DNS server, e-mail server, or other server , the computer becomes a client of that server .


IP Address (definition)

IP Address

Internet Protocol Address, a unique number assigned to a computer connected to the Internet . Data passing across the Internet is routed to computers based on their IP address.

Familiar names for popular computers, such as www.microsoft.com, are converted to their less well known IP addresses by the Domain Name System (DNS) . This usually takes place silently, behind the scenes, without us knowing about the translation.


Internet (definition)

Internet

The world's largest collection of computers, and the circuits and other hardware that allows them to communicate with each other.


Network (definition)

Network

Any group of computers that can communicate with one another. Many companies connect all their computers, or all computers within a particular department, forming a network. It's not uncommon for two or more home computers to be connected too, forming a small network.

Networks can be connected to one another, or to other individual computers. The best-known, and largest network is the Internet .


LAN (definition)

LAN

Local Area Network, a network where all computers are reasonable near each other, and as a result enjoy high-speed connections or communications. In most cases, computers connected to a LAN are located in the same building, or on the same campus of buildings.

See also: WAN


WAN (definition)

WAN

Wide Area Network, a network where computers are far apart, and often communicate over slower-speed connections. Computers that make up a WAN may be miles apart, even on opposite sides of the earth.

See also LAN


Domain (definition)

Domain

Internet-speak for a group of computers. Normally, all computers in a domain are able to communicate with one another (they may be on the same network , or on networks that are interconnected). Domains also share a common login authentication system.

Domains have names, called Domain Names. Within a domain, individual computers ( hosts ) must have names too, called Host Names . Within the Internet , host names are combined with the name of the domain to which a computer belongs, forming the Fully Qualified Domain Name (FQDN). For example, a host named "www", which is a member of the domain "microsoft.com" would have a FQDN of "www.microsoft.com".


Host (definition)

Host

Internet-speak for a particular computer connected to the Internet, or which is a member of a domain . Can also mean a particular computer connected to any network. Hosts normally have a name, called a Host Name.

See also: Domain


Encryption (definition)

Encryption is a way of scrambling data, to prevent anyone who intercepts the data from learning what that data means. Encrpyted data appears to be meaningless and random. But the original data can be retrieved by reversing the encryption process, a step called decryption.

Most encryption today requires two large numbers, known as keys. One key is used by a sender to encrypt the data, while the other is used by a recipient for decryption.

As long as the keys are key secret (known only to the sender or recipient), are large enough not to be guessed easily, encrypted data is secure from most unauthorized attempts to decrypt it. However, no encryption technique is perfectly safe. With enough computing power, and enough time, most encrypted data can be "stolen". Fortunately, the power and time required is considerable, and usually worth more than the data that would be compromised.

See Also: Decryption


Decryption (definition)

The converting of encrypted data back to its orginal form.

See Also: Encryption


Network Share (definition)

This is a folder, stored on a disk connected to another computer. The owner of that computer has chosen to "share" this folder, making it accessible to others across a network .

There may be restrictions placed on this shared access, such as requiring a password, or limiting access to reading only (writing to files and folders on the share prohibited).

Or access may be unlimited, allowing you to treat the network share's contents as if they belonged to you, and resided on a disk connected to your local computer.

See also: Share


Share (definition)

In network-speak, sharing a file, folder, or printer makes it available to users of other computers across a network . For example, if a folder residing on your local computer's disk drive is "shared", it can be accessed by users of other computers connected to your network.

Restrictions may be placed on shared access, such as requiring a password, or limiting access to reading only (writing to files and folders on the share prohibited).

Or access may be unlimited, allowing you to allow other users' to access shared content as if it belongs to them, and was connected directly to their local computer.

See also: Network Share


Disk (definition)

Normally, a sealed platter or disk, made of glass or aluminum, and coated with a magnetic material. Inside its container, the disk is spun at speeds of several thousand revolutions per minute. Tiny sensors can be positioned over any portion of the rotating disk, detecting patterns in the magnetic field of the disk's coating. Electronics inside the container convert those changes into electrical impulses representing 0s and 1s. This stream of data is then sent to your computer, and processed by the programs running there.

The same sensor that reads the disk's contents and also change the disk's contents, by altering the magnetic field of the disk's surface.

Note: For some reason, disks or platters that store their data optically, rather than magnetically, are usually called discs. For example, Compact Disc (CD) and Digital Video Disc/Digital Versatile Disc (DVD).

See also: Disk Drive


Disk Drive (definition)

A container, consisting of the disk /platters, read and write heads/sensors, and associated electronics, is called a disk drive.

See also: Disk


Disc (definition)

See: Disk


System Tray (definition)

This region of the desktop, normally in the lower-right corner of the screen, contains small icons displayed by some of the programs running on your computer, Hovering the mouse's pointer over one of these icons may cause the program to display some status information. Clicking or double-clicking the icon may cause the associated program to display its main window, or a menu.

See also: Start button , Quick Launch area , Taskbar


Desktop (definition)

Desktop

This is the information Windows displays on your monitor, when no programs are running. It normally consists of a picture, called the "wallpaper", and icons representing your computer, your network, the Recycle Bin, and some of your favorite files, folders, and programs.

See also: Start button , Quick Launch area , Taskbar , System Tray


Taskbar (definition)

This portion of your computer's desktop normally consists of a small strip, running across the bottom of the screen. It contains buttons, or icons, for each program currently running. Clicking a program's button causes its window to be restored (if minimized), and displayed on top of the windows of any other running programs.

When located across the bottom of the desktop, the Start button normally resides on the far left, followed by the Quick Launch area . This is followed by the Taskbar , and the System Tray (on the extreme right).


Quick Launch area (definition)

Quick Launch area

This region of the desktop , located between the Start button and the Taskbar , contains one small icon for each of your favorite programs. Clicking one of these icons once, with the left mouse button, launches the associated program.

See also: System Tray


Hidden Files and Folders

Files and folders with the Hidden attribute will not normally be displayed by Windows and other programs. However, Windows and some other programs have options that can allow Hidden Files and Folders to be displayed despite this attribute.


System Files and Folders

Files and folders with the System attribute are considered part of Windows, and are not easily deleted, modified, or even viewed. However, Windows and some other programs have options that can allow System Files and Folders to be displayed despite this attribute. And users logged into an Administrator account may modify, or even delete, these files.


Read-Only Files and Folders

Files and folders with the Read-Only attribute cannot normally be modified or deleted. However, users logged into an Administrator account may modify, or even delete, Read-Only files.